---
lang: en
title: 'API docs: repository.model.(constructor)'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.model.(constructor).html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Model](./repository.model.md) &gt; [(constructor)](./repository.model.(constructor).md)

## Model.(constructor)

Constructs a new instance of the `Model` class

<b>Signature:</b>

```typescript
constructor(data?: DataObject<Model>);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  data | <code>DataObject&lt;Model&gt;</code> |  |


